package com.srs.comprehensive.mapper;

import java.util.List;

import com.srs.comprehensive.domain.KnzzZsgApply;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 中职升高职补助Mapper接口
 *
 * @author srs
 * @date 2025-05-12
 */
public interface KnzzZsgApplyMapper extends BaseMapper<KnzzZsgApply> {



    public List<KnzzZsgApply> listView(KnzzZsgApply param);

    /**
     * 查询中职升高职补助
     *
     * @param id 中职升高职补助主键
     * @return 中职升高职补助
     */
    public KnzzZsgApply selectKnzzZsgApplyById(Long id);

    /**
     * 查询中职升高职补助列表
     *
     * @param knzzZsgApply 中职升高职补助
     * @return 中职升高职补助集合
     */
    List<KnzzZsgApply> selectKnzzZsgApplyList(KnzzZsgApply knzzZsgApply);

    /**
     * 新增中职升高职补助
     *
     * @param knzzZsgApply 中职升高职补助
     * @return 结果
     */
    int insertKnzzZsgApply(KnzzZsgApply knzzZsgApply);

    /**
     * 修改中职升高职补助
     *
     * @param knzzZsgApply 中职升高职补助
     * @return 结果
     */
    int updateKnzzZsgApply(KnzzZsgApply knzzZsgApply);

    /**
     * 删除中职升高职补助
     *
     * @param id 中职升高职补助主键
     * @return 结果
     */
    int deleteKnzzZsgApplyById(Long id);

    /**
     * 批量删除中职升高职补助
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteKnzzZsgApplyByIds(Long[] ids);
}
